<!doctype html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>S14: Layout and Best  Practices</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-9ndCyUaIbzAi2FUVXJi0CjmCapSmO7SnpJef0486qhLnuZ2cdeRhO02iuK6FUUVM" crossorigin="anonymous">

    <style>
      .sample-image {
        background-image: url("https://place-puppy.com/450x450");
        background-size: cover;
        height: 400px;
      }
    </style>
  </head>
  <body>
     
    <!-- layout best practices demo -->
     <!-- <div class="m-5 d-grid gap-3 mx-auto" style="width:500px">
       <div class="p-3 bg-light border ms-5">Item 1</div>
       <div class="p-3 bg-light border me-5">Item 2</div>
       <div class="p-3 bg-light border mx-5">Item 3</div>
     </div>  -->
                     <main class="container">
                    <header>
                        <div>
                            <h1>Welcome to My Website</h1>
                        </div>
                    </header>
             
                    <nav class="d-flex justify-content-center d-grid gap-5 bg-warning p-2">
                        <div>Home</div>
                        <div>About</div>
                        <div>Contact</div>    
                    </nav>
                               
                    <section class="row mt-5">
                        <figure class="col-lg-6 col-12">
                            <div class="sample-image">
                            </div>
                        </figure>
                        <figcaption class="col-lg-6 col-12">
                            <h2>About Us</h2>
                            <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc interdum risus sed arcu commodo, at cursus magna porttitor. Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod
                            tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,
                            quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo
                            consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse
                            cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non
                            proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>
                        </figcaption>
                    </section>
                    
                    <section class="row mt-5 text-center">
                        <div class="col-md-4 col-12">
                            <div class="p-5 border">
                                <h3>Feature 1</h3>
                            </div>
                        </div>

                        <div class="col-md-4 col-12">
                            <div class="p-5 border">
                                <h3>Feature 2</h3>
                            </div>
                        </div>

                        <div class="col-md-4 col-12">
                            <div class="p-5 border">
                                <h3>Feature 3</h3>
                            </div>
                        </div>
                    </section>
                    
                    <footer class="d-flex justify-content-center d-grid gap-3 my-5
                    bg-warning p-2">
                        <div>Footer</div>
                        <div>|</div>
                        <div>Terms of Use</div>
                        <div>| </div>
                        <div>Copyright 2023</div>
                    </footer>
                </main>







    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js" integrity="sha384-geWF76RCwLtnZ8qwWowPQNguL3RmwHVBC9FhGdlKrxdiJJigb/j/68SIy3Te4Bkz" crossorigin="anonymous"></script>
  </body>
</html>